LotusStyleManagerInternal::GraphicStyle Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
LotusStyleManagerInternal::GraphicStyle Struct Reference

small struct used to defined graphic style More...

## Public Member Functions
| GraphicStyle ()
| constructor More...

## Public Attributes
int | m_colorsId [4]
| the line, shadow, surface, back pattern color id More...
int | m_lineId
| the border line id More...
LineStyle | m_lineStyle
| the line style: 123 pc More...
int | m_patternId
| the patten id: 123 pc More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, GraphicStyle const &graphic)
| operator<< More...

## Detailed Description

small struct used to defined graphic style

## Constructor & Destructor Documentation

## ◆ GraphicStyle()

LotusStyleManagerInternal::GraphicStyle::GraphicStyle | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | GraphicStyle const & | graphic
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_colorsId

int LotusStyleManagerInternal::GraphicStyle::m_colorsId[4]

the line, shadow, surface, back pattern color id

Referenced by GraphicStyle(), LotusStyleManager::readGraphicStyle(), and LotusStyleManager::readGraphicStyleC9().

## ◆ m_extra

std::string LotusStyleManagerInternal::GraphicStyle::m_extra

extra data

Referenced by LotusStyleManager::readGraphicStyle().

## ◆ m_lineId

int LotusStyleManagerInternal::GraphicStyle::m_lineId

the border line id

Referenced by LotusStyleManager::readGraphicStyle().

## ◆ m_lineStyle

LineStyle LotusStyleManagerInternal::GraphicStyle::m_lineStyle

the line style: 123 pc

Referenced by LotusStyleManager::readGraphicStyleC9().

## ◆ m_patternId

int LotusStyleManagerInternal::GraphicStyle::m_patternId

the patten id: 123 pc

Referenced by LotusStyleManager::readGraphicStyleC9().

The documentation for this struct was generated from the following file:

- LotusStyleManager.cpp